Bug 121781 - usage text and man page don't have correct delimiter for sendmail-options
usage text and man page don't have correct delimiter for sendmail-options
Product: Fedora
Classification: Fedora
Component: mailx (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Depends On:
  Show dependency treegraph
Reported: 2004-04-27 15:23 EDT by Andrew Jorgensen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-03 05:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Jorgensen 2004-04-27 15:23:18 EDT
Description of problem:

The usage message contains the following:

Usage: mail [-iInv] [-s subject] [-c cc-addr] [-b bcc-addr] to-addr ...
            [- sendmail-options ...]
This is incorrect, it should be [-- sendmail-options ...] on Linux. 
GNU getopt reorders options unless you tell it not to, so options
placed after the last to-addr are interpreted by mail instead of by
sendmail.  Apparently the -- will separate them so that the options
are interpreted by sendmail instead.  This is an acceptable fix for
the problem, but it needs to be documented correctly.

Version-Release number of selected component (if applicable):

Arch   : i386
Version: 8.1.1
Release: 31.1

How reproducible:


Steps to Reproduce:

according to the usage message (the manpage says nothing at all about
passing options to sendmail): 

mail recipient@host - -f sender@otherhost

should pass '-f sender@otherhost' to sendmail, but it doesn't.  This
commandline gives an error message from 'mail' that says, "Cannot give
-f and people to send to."  On the other hand:

mail recipient@host -- -f sender@otherhost

properly passes the -f option to sendmail and sets the From: header to
the specified address.
Comment 1 Ivana Varekova 2004-11-03 07:20:18 EST
Thank you for your notice.
The problem was fixed.
Comment 2 Ivana Varekova 2004-12-03 05:36:03 EST
Solved with -40.

Note You need to log in before you can comment on or make changes to this bug.